Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class HandshakeCompletedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.net.ssl.HandshakeCompletedEvent

public class HandshakeCompletedEvent
extends EventObject

This event indicates that an SSL handshake completed on a given SSL connection. All of the core information about that handshake's result is captured through an "SSLSession" object. As a convenience, this event class provides direct access to to some important session attributes.

The source of this event is the SSLSocket on which handshaking just completed.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HandshakeCompletedEvent(SSLSocket sock, SSLSession s)` Constructs a new HandshakeCompletedEvent.

Method Summary
`String` | `getCipherSuite()` Returns the cipher suite in use by the session which was produced by the handshake.
`X509Certificate[]` | `getPeerCertificateChain()` Returns the identity of the peer which was identified as part of defining the session.
`SSLSession` | `getSession()` Returns the session which was produced by the handshake.
`SSLSocket` | `getSocket()` Returns the socket which is the source of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandshakeCompletedEvent

    public HandshakeCompletedEvent(SSLSocket sock,
                                   SSLSession s)

  Constructs a new HandshakeCompletedEvent.
  Parameters:
    `sock` - the SSLSocket acting as the source of the event
    `s` - the SSLSession this event is associated with

Method Detail

### getSession

    public SSLSession getSession()

  Returns the session which was produced by the handshake.

### getCipherSuite

    public String getCipherSuite()

  Returns the cipher suite in use by the session which was produced by the handshake.

### getPeerCertificateChain

    public X509Certificate[] getPeerCertificateChain()
                                              throws SSLPeerUnverifiedException

  Returns the identity of the peer which was identified as part of defining the session.

### getSocket

    public SSLSocket getSocket()

  Returns the socket which is the source of this event. (This is a convenience function, to let applications write code without type casts.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD